# CSC 111, Day 15
# Author: Sara Mathieson and CSC 111 class (11am section)
# A program to read a file of numbers and print min/mas

# this module we wrote last time, in the file list_range.py
import list_range 

# TODO:
# 1) build up a list of numbers from the file
# 2) afterwards, find the min and max of this list
# min should be 1 and max should be 18
def main():

    # initialize our list to the empty list
    num_lst = []

    # usually call this this variable -----_file
    number_file = open("numbers.txt","r")

    # loop over the lines of the file
    for line in number_file:

        # use .strip() to remove leading/trailing whitespace
        line = line.strip()

        # convert ("cast") a string to an int
        num = int(line)
        
        # list concatentation ("old" way of building up a list)
        #num_lst = num_lst + [num]

        # new way of building up a list
        # .append(..) does not return anything, but mutates the list
        num_lst.append(num) # adds an element to the end of a list

    number_file.close()

    # check that our list of numbers was built correctly
    print(num_lst)

    # min and max of this list via our own module
    #math.sqrt(16) <- example of using a built-in module
    my_min = list_range.minimum(num_lst)
    print(my_min)
    my_max = list_range.maximum(num_lst)
    print(my_max)

main()
